FileGridModel (gCube Messages Portlet 0.4.0-3.1.0 API)
Date: 2014-05-11

org.gcube.portlets.user.messages.shared

## Class FileGridModel

- java.lang.Object
- - com.extjs.gxt.ui.client.data.BaseModelData
  - - org.gcube.portlets.user.messages.shared.FileModel
    - - org.gcube.portlets.user.messages.shared.FileGridModel

- All Implemented Interfaces:
    com.extjs.gxt.ui.client.data.ModelData, com.google.gwt.user.client.rpc.IsSerializable, Serializable
  Direct Known Subclasses:
    FolderGridModel

      public class FileGridModel
      extends FileModel

  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.gcube.portlets.user.messages.shared.FileModel

      `STATUS, test`

    - ### Fields inherited from class com.extjs.gxt.ui.client.data.BaseModelData

      `allowNestedValues, map`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `FileGridModel()`
    `` | `FileGridModel(String identifier, String name, Date creationDate, FileModel parent, long size, boolean isDirectory)`
    `` | `FileGridModel(String identifier, String name, String path, Date creationDate, FileModel parent, long size, boolean isDirectory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `Date` | `getCreationDate()`
    `long` | `getSize()`

    - ### Methods inherited from class org.gcube.portlets.user.messages.shared.FileModel

      `getAbstractPrototypeIcon, getGXTFolderItemType, getGXTFolderItemTypeToString, getIcon, getIdentifier, getName, getParentFileModel, getShortcutCategory, getStatus, getType, isDirectory, isShared, setFolderItemType, setIcon, setIdentifier, setParentFileModel, setShared, setShortcutCategory, setStatus, setType`

    - ### Methods inherited from class com.extjs.gxt.ui.client.data.BaseModelData

      `get, get, getProperties, getPropertyNames, isAllowNestedValues, remove, set, setAllowNestedValues, setProperties`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileGridModel

          protected FileGridModel()

    - #### FileGridModel

          public FileGridModel(String identifier,
                       String name,
                       String path,
                       Date creationDate,
                       FileModel parent,
                       long size,
                       boolean isDirectory)

    - #### FileGridModel

          public FileGridModel(String identifier,
                       String name,
                       Date creationDate,
                       FileModel parent,
                       long size,
                       boolean isDirectory)

  - ### Method Detail

    - #### getSize

          public long getSize()

    - #### getCreationDate

          public Date getCreationDate()

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `FileModel`

Copyright © 2014. All Rights Reserved.